Bug 1328022 (CVE-2016-0695) - CVE-2016-0695 OpenJDK: insufficient DSA key parameters checks (Security, 8138593)
Summary: CVE-2016-0695 OpenJDK: insufficient DSA key parameters checks (Security, 8138...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-0695
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1324915
TreeView+ depends on / blocked
 
Reported: 2016-04-18 08:56 UTC by Tomas Hoger
Modified: 2019-09-29 13:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that the Security component in OpenJDK failed to check the digest algorithm strength when generating DSA signatures. The use of a digest weaker than the key strength could lead to the generation of signatures that were weaker than expected.
Clone Of:
Environment:
Last Closed: 2016-05-09 14:41:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0650 normal SHIPPED_LIVE Critical: java-1.8.0-openjdk security update 2016-05-23 09:28:59 UTC
Red Hat Product Errata RHSA-2016:0651 normal SHIPPED_LIVE Critical: java-1.8.0-openjdk security update 2016-04-20 23:34:50 UTC
Red Hat Product Errata RHSA-2016:0675 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2016-04-21 18:42:51 UTC
Red Hat Product Errata RHSA-2016:0676 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2016-04-21 17:46:03 UTC
Red Hat Product Errata RHSA-2016:0677 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-14 23:08:38 UTC
Red Hat Product Errata RHSA-2016:0678 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-15 03:08:48 UTC
Red Hat Product Errata RHSA-2016:0679 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2017-12-14 20:20:57 UTC
Red Hat Product Errata RHSA-2016:0723 normal SHIPPED_LIVE Critical: java-1.6.0-openjdk security update 2016-05-09 18:04:06 UTC

Description Tomas Hoger 2016-04-18 08:56:53 UTC
It was discovered that the Security component of OpenJDK failed to properly check DSA (Digital Signature Algorithm) parameters. The use of keys with incorrect parameters could lead to disclosure of sensitive data.

Comment 1 Tomas Hoger 2016-04-19 19:01:00 UTC
Related note in Oracle JDK release notes:

  DSA signature generation is now subject to a key strength check

  For signature generation, if the security strength of the digest algorithm
  is weaker than the security strength of the key used to sign the signature
  (e.g. using (2048, 256)-bit DSA keys with SHA1withDSA signature), the
  operation will fail with the error message:

  "The security strength of SHA1 digest algorithm is not sufficient for this
  key size."

  JDK-8138593 (not public)

http://www.oracle.com/technetwork/java/javase/8u91-relnotes-2949462.html
http://www.oracle.com/technetwork/java/javaseproducts/documentation/javase7supportreleasenotes-1601161.html#R170_101
http://www.oracle.com/technetwork/java/javase/documentation/overview-156328.html#R160_115

Comment 2 Tomas Hoger 2016-04-19 20:59:36 UTC
Public now via Oracle Critical Patch Update - April 2016.  Fixed in Oracle Java SE 6u115, 7u101, and 8u91.

External References:

http://www.oracle.com/technetwork/topics/security/cpuapr2016-2881694.html#AppendixJAVA

Comment 3 errata-xmlrpc 2016-04-20 19:35:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0651 https://rhn.redhat.com/errata/RHSA-2016-0651.html

Comment 4 errata-xmlrpc 2016-04-20 19:36:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0650 https://rhn.redhat.com/errata/RHSA-2016-0650.html

Comment 5 errata-xmlrpc 2016-04-21 13:46:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7

Via RHSA-2016:0676 https://rhn.redhat.com/errata/RHSA-2016-0676.html

Comment 6 errata-xmlrpc 2016-04-21 14:43:15 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2016:0677 https://rhn.redhat.com/errata/RHSA-2016-0677.html

Comment 7 errata-xmlrpc 2016-04-21 14:44:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0675 https://rhn.redhat.com/errata/RHSA-2016-0675.html

Comment 8 errata-xmlrpc 2016-04-21 14:59:02 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2016:0679 https://rhn.redhat.com/errata/RHSA-2016-0679.html

Comment 9 errata-xmlrpc 2016-04-21 14:59:56 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2016:0678 https://rhn.redhat.com/errata/RHSA-2016-0678.html

Comment 10 Tomas Hoger 2016-04-21 19:47:29 UTC
OpenJDK8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/594e8dca337c

Comment 11 errata-xmlrpc 2016-05-09 14:05:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2016:0723 https://rhn.redhat.com/errata/RHSA-2016-0723.html


Note You need to log in before you can comment on or make changes to this bug.